# Create platform account Creates a RippleNet platform account, which represents a real-world account owned by a financial entity (e.g. Bank, Exchange or Wallet provider). This operation creates a database record for a platform account on a RippleNet node. Endpoint: POST /config/platforms/accounts Version: 4.0.0 Security: Bearer ## Request fields (application/json): - `name` (string, required) Name of the platform account. - `platform_id` (string, required) The unique identifier for the RippleNet platform where this account is defined. - `description` (string) A short description of the platform account. - `external_account_id` (string, required) Unique reference identifier for the real world account which is represented by this platform account. - `currency` (string, required) The currency of the account. Ripple recommends using ISO-4217 currency codes. ## Response 200 fields (application/json): - `platform_account_id` (string) Unique identifier for the platform account. - `name` (string) Name of the platform account. - `platform_id` (string) The unique identifier for the RippleNet platform where this account is defined. - `description` (string) A short description of the platform account. - `external_account_id` (string) Unique reference identifier for the real world account which is represented by this platform account. - `currency` (string) The currency of the account. Ripple recommends using ISO-4217 currency codes. - `balance` (number) Real world account balance of the platform account (if available) ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"